camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gmdavidson62 <gmdavidso...@gmail.com>
Subject Re: random splitter error
Date Mon, 22 Apr 2013 13:35:18 GMT
"What OS, JDK, and JAXB version do you use?"

windows server 2008 R2 Standard 64bit
jdk1.6.0_17\jre\bin\server\jvm.dll
Not sure about the JAXB...here are the jars pulled in from maven.  


"And have you added saxon to the classpath, eg using camel-saxon. Saxon 
is usually faster and better as xpath than what comes out of  the box 
from the JDK."

We have not included camel-saxon as a maven dependency.  Do you think this
could fix it?
As the problem is sporadic, it is hard to recreate and know when it is
fixed.

jars in war:
activeio-core-3.1.2.jar
activemq-camel-5.5.1.jar
activemq-core-5.5.1.jar
activemq-pool-5.5.1.jar
activemq-protobuf-1.1.jar
aopalliance-1.0.jar
asm-3.3.1.jar
aspectjrt-1.6.8.jar
aspectjweaver-1.6.8.jar
camel-core-2.10.3.jar
camel-http-2.10.3.jar
camel-http4-2.10.3.jar
camel-jetty-2.10.3.jar
camel-jms-2.7.0.jar
camel-mina-2.10.3.jar
camel-servlet-2.10.3.jar
camel-spring-2.10.3.jar
camel-syslog-2.10.3.jar
cglib-2.2.2.jar
cglib-nodep-2.2.2.jar
commons-codec-1.4.jar
commons-dbcp-1.4.jar
commons-httpclient-3.1.jar
commons-lang-2.1.jar
commons-logging-1.1.1.jar
commons-net-2.0.jar
commons-pool-1.5.4.jar
db2jcc-1.4.0.jar
db2jcc_license_cisuz-1.4.0.jar
db2jcc_license_cu-1.4.0.jar
dom4j-1.6.1.jar
easymock-3.1.jar
ESBClientJava6-2.0.0.jar
geronimo-j2ee-management_1.1_spec-1.0.1.jar
geronimo-jms_1.1_spec-1.1.1.jar
geronimo-jta_1.0.1B_spec-1.0.1.jar
geronimo-servlet_2.5_spec-1.1.2.jar
httpclient-4.1.2.jar
httpcore-4.1.2.jar
icu4j-2.6.1.jar
jar.txt
jasypt-1.7.jar
jaxen-1.1.1.jar
jdom-1.0.jar
jdom-1.1.jar
jetty-client-7.5.4.v20111024.jar
jetty-continuation-7.5.4.v20111024.jar
jetty-http-7.5.4.v20111024.jar
jetty-io-7.5.4.v20111024.jar
jetty-jmx-7.5.4.v20111024.jar
jetty-security-7.5.4.v20111024.jar
jetty-server-7.5.4.v20111024.jar
jetty-servlet-7.5.4.v20111024.jar
jetty-servlets-7.5.4.v20111024.jar
jetty-util-7.5.4.v20111024.jar
jtds-1.2.2.jar
kahadb-5.5.1.jar
log4j-1.2.17.jar
maven-artifact-2.0.6.jar
maven-artifact-manager-2.0.6.jar
maven-core-2.0.6.jar
maven-error-diagnostics-2.0.6.jar
maven-model-2.0.6.jar
maven-monitor-2.0.6.jar
maven-plugin-api-2.0.6.jar
maven-plugin-descriptor-2.0.6.jar
maven-plugin-parameter-documenter-2.0.6.jar
maven-plugin-registry-2.0.6.jar
maven-profile-2.0.6.jar
maven-project-2.0.6.jar
maven-repository-metadata-2.0.6.jar
maven-settings-2.0.6.jar
maven-toolchain-1.0.jar
mina-core-1.1.7.jar
objenesis-1.2.jar
org.osgi.core-4.1.0.jar
plexus-compiler-api-1.8.1.jar
plexus-compiler-javac-1.8.1.jar
plexus-compiler-manager-1.8.1.jar
plexus-utils-2.0.5.jar
SaxonHE-9.4.0.2J.jar
slf4j-api-1.6.6.jar
slf4j-log4j12-1.6.6.jar
spring-aop-3.0.2.RELEASE.jar
spring-asm-3.0.2.RELEASE.jar
spring-beans-3.0.2.RELEASE.jar
spring-context-3.0.2.RELEASE.jar
spring-core-3.0.2.RELEASE.jar
spring-expression-3.0.2.RELEASE.jar
spring-jdbc-3.0.2.RELEASE.jar
spring-jms-3.0.5.RELEASE.jar
spring-ldap-core-1.3.0.RELEASE.jar
spring-security-core-3.0.2.RELEASE.jar
spring-security-ldap-3.0.2.RELEASE.jar
spring-test-3.0.2.RELEASE.jar
spring-tx-3.0.2.RELEASE.jar
spring-web-3.0.2.RELEASE.jar
stax-api-1.0-2.jar
stax2-api-3.0.4.jar
wagon-provider-api-1.0-beta-2.jar
woodstox-core-asl-4.0.10.jar
xalan-2.6.0.jar
xercesImpl-2.6.2.jar
xml-apis-1.3.02.jar
xmlParserAPIs-2.6.2.jar
xom-1.0.jar

Maven dependency tree:
[INFO] [dependency:tree {execution: default-cli}]
[INFO] com.infarmbureau:CSP-Services:war:0.0.1
[INFO] +- com.infarmbureau.esb:ESBClientJava6:jar:2.0.0:compile
[INFO] |  \- org.apache.httpcomponents:httpclient:jar:4.1.2:compile
[INFO] |     +- org.apache.httpcomponents:httpcore:jar:4.1.2:compile
[INFO] |     \- commons-codec:commons-codec:jar:1.4:compile
[INFO] +- org.codehaus.woodstox:woodstox-core-asl:jar:4.0.10:compile
[INFO] |  +- javax.xml.stream:stax-api:jar:1.0-2:compile
[INFO] |  \- org.codehaus.woodstox:stax2-api:jar:3.0.4:compile
[INFO] +- net.sourceforge.saxon:SaxonHE:jar:9.4.0.2J:compile
[INFO] +- jaxen:jaxen:jar:1.1.1:runtime
[INFO] |  +- dom4j:dom4j:jar:1.6.1:runtime
[INFO] |  +- jdom:jdom:jar:1.0:runtime
[INFO] |  +- xml-apis:xml-apis:jar:1.3.02:runtime
[INFO] |  +- xerces:xercesImpl:jar:2.6.2:runtime
[INFO] |  \- xom:xom:jar:1.0:runtime
[INFO] |     +- xerces:xmlParserAPIs:jar:2.6.2:runtime
[INFO] |     +- xalan:xalan:jar:2.6.0:runtime
[INFO] |     \- com.ibm.icu:icu4j:jar:2.6.1:runtime
[INFO] +- org.apache.camel:camel-http4:jar:2.10.3:compile
[INFO] |  \-
org.apache.geronimo.specs:geronimo-servlet_2.5_spec:jar:1.1.2:compile
[INFO] +- org.apache.camel:camel-servlet:jar:2.10.3:compile
[INFO] |  \- org.apache.camel:camel-http:jar:2.10.3:compile
[INFO] |     \- commons-httpclient:commons-httpclient:jar:3.1:compile
[INFO] +- javax.servlet:servlet-api:jar:2.4:provided (scope not updated to
compile)
[INFO] +- org.apache.camel:camel-test-spring:jar:2.10.3:test
[INFO] |  \- org.apache.camel:camel-test:jar:2.10.3:test
[INFO] +- org.apache.camel:camel-syslog:jar:2.10.3:compile
[INFO] +- org.apache.camel:camel-mina:jar:2.10.3:compile
[INFO] |  \- org.apache.mina:mina-core:jar:1.1.7:compile
[INFO] +- org.apache.activemq:activemq-camel:jar:5.5.1:compile
[INFO] |  +- org.apache.camel:camel-jms:jar:2.7.0:compile
[INFO] |  |  +- org.springframework:spring-jms:jar:3.0.5.RELEASE:compile
[INFO] |  |  \- com.sun:tools:jar:1.5.0:system
[INFO] |  +- org.apache.activemq:activemq-core:jar:5.5.1:compile
[INFO] |  |  +-
org.apache.geronimo.specs:geronimo-jms_1.1_spec:jar:1.1.1:compile
[INFO] |  |  +- org.apache.activemq:activeio-core:jar:3.1.2:compile
[INFO] |  |  +- org.apache.activemq:kahadb:jar:5.5.1:compile
[INFO] |  |  +-
org.apache.activemq.protobuf:activemq-protobuf:jar:1.1:compile
[INFO] |  |  +- org.osgi:org.osgi.core:jar:4.1.0:compile
[INFO] |  |  +-
org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec:jar:1.0.1:compile
[INFO] |  |  +- commons-net:commons-net:jar:2.0:compile
[INFO] |  |  \- org.jasypt:jasypt:jar:1.7:compile
[INFO] |  \- org.apache.activemq:activemq-pool:jar:5.5.1:compile
[INFO] |     \-
org.apache.geronimo.specs:geronimo-jta_1.0.1B_spec:jar:1.0.1:compile
[INFO] +- junit:junit:jar:4.11:test
[INFO] |  \- org.hamcrest:hamcrest-core:jar:1.3:test
[INFO] +- org.easymock:easymock:jar:3.1:compile
[INFO] |  +- cglib:cglib-nodep:jar:2.2.2:compile
[INFO] |  \- org.objenesis:objenesis:jar:1.2:compile
[INFO] +- org.springframework:spring-context:jar:3.0.2.RELEASE:compile
[INFO] |  +- org.springframework:spring-beans:jar:3.0.2.RELEASE:compile
[INFO] |  +- org.springframework:spring-core:jar:3.0.2.RELEASE:compile
[INFO] |  +- org.springframework:spring-expression:jar:3.0.2.RELEASE:compile
[INFO] |  \- org.springframework:spring-asm:jar:3.0.2.RELEASE:compile
[INFO] +- org.springframework:spring-test:jar:3.0.2.RELEASE:compile
[INFO] +- org.springframework:spring-web:jar:3.0.2.RELEASE:compile
[INFO] |  \- aopalliance:aopalliance:jar:1.0:compile
[INFO] +- org.springframework:spring-aop:jar:3.0.2.RELEASE:compile
[INFO] +- org.springframework:spring-jdbc:jar:3.0.2.RELEASE:compile
[INFO] |  \- org.springframework:spring-tx:jar:3.0.2.RELEASE:compile
[INFO] +-
org.springframework.security:spring-security-ldap:jar:3.0.2.RELEASE:compile
[INFO] |  +-
org.springframework.security:spring-security-core:jar:3.0.2.RELEASE:compile
[INFO] |  |  +- org.aspectj:aspectjrt:jar:1.6.8:compile
[INFO] |  |  \- org.aspectj:aspectjweaver:jar:1.6.8:compile
[INFO] |  +-
org.springframework.ldap:spring-ldap-core:jar:1.3.0.RELEASE:compile
[INFO] |  |  \- commons-lang:commons-lang:jar:2.1:compile
[INFO] |  \- commons-logging:commons-logging:jar:1.1.1:compile
[INFO] +- log4j:log4j:jar:1.2.17:compile
[INFO] +- org.slf4j:slf4j-log4j12:jar:1.6.6:compile
[INFO] +- org.slf4j:slf4j-api:jar:1.6.6:compile
[INFO] +- org.apache.camel:camel-core:jar:2.10.3:compile
[INFO] +- org.apache.camel:camel-spring:jar:2.10.3:compile
[INFO] +- org.apache.camel:camel-jetty:jar:2.10.3:compile
[INFO] |  +- org.eclipse.jetty:jetty-server:jar:7.5.4.v20111024:compile
[INFO] |  |  +-
org.eclipse.jetty:jetty-continuation:jar:7.5.4.v20111024:compile
[INFO] |  |  \- org.eclipse.jetty:jetty-http:jar:7.5.4.v20111024:compile
[INFO] |  |     \- org.eclipse.jetty:jetty-io:jar:7.5.4.v20111024:compile
[INFO] |  +- org.eclipse.jetty:jetty-security:jar:7.5.4.v20111024:compile
[INFO] |  +- org.eclipse.jetty:jetty-servlet:jar:7.5.4.v20111024:compile
[INFO] |  +- org.eclipse.jetty:jetty-servlets:jar:7.5.4.v20111024:compile
[INFO] |  |  \- org.eclipse.jetty:jetty-util:jar:7.5.4.v20111024:compile
[INFO] |  +- org.eclipse.jetty:jetty-client:jar:7.5.4.v20111024:compile
[INFO] |  \- org.eclipse.jetty:jetty-jmx:jar:7.5.4.v20111024:compile
[INFO] +- commons-dbcp:commons-dbcp:jar:1.4:compile
[INFO] |  \- commons-pool:commons-pool:jar:1.5.4:compile
[INFO] +- net.sourceforge.jtds:jtds:jar:1.2.2:compile
[INFO] +- com.ibm.db2:db2jcc:jar:1.4.0:compile
[INFO] +- com.ibm.db2:db2jcc_license_cisuz:jar:1.4.0:compile
[INFO] +- com.ibm.db2:db2jcc_license_cu:jar:1.4.0:compile
[INFO] +-
org.apache.maven.plugins:maven-compiler-plugin:maven-plugin:2.3.2:compile
[INFO] |  +- org.apache.maven:maven-plugin-api:jar:2.0.6:compile
[INFO] |  +- org.apache.maven:maven-artifact:jar:2.0.6:compile
[INFO] |  +- org.apache.maven:maven-core:jar:2.0.6:compile
[INFO] |  |  +- org.apache.maven:maven-settings:jar:2.0.6:compile
[INFO] |  |  +-
org.apache.maven:maven-plugin-parameter-documenter:jar:2.0.6:compile
[INFO] |  |  +- org.apache.maven:maven-profile:jar:2.0.6:compile
[INFO] |  |  +- org.apache.maven:maven-model:jar:2.0.6:compile
[INFO] |  |  +-
org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-2:compile
[INFO] |  |  +- org.apache.maven:maven-repository-metadata:jar:2.0.6:compile
[INFO] |  |  +- org.apache.maven:maven-error-diagnostics:jar:2.0.6:compile
[INFO] |  |  +- org.apache.maven:maven-project:jar:2.0.6:compile
[INFO] |  |  |  \- org.apache.maven:maven-plugin-registry:jar:2.0.6:compile
[INFO] |  |  +- org.apache.maven:maven-plugin-descriptor:jar:2.0.6:compile
[INFO] |  |  +- org.apache.maven:maven-artifact-manager:jar:2.0.6:compile
[INFO] |  |  \- org.apache.maven:maven-monitor:jar:2.0.6:compile
[INFO] |  +- org.apache.maven:maven-toolchain:jar:1.0:compile
[INFO] |  +- org.codehaus.plexus:plexus-utils:jar:2.0.5:compile
[INFO] |  +- org.codehaus.plexus:plexus-compiler-api:jar:1.8.1:compile
[INFO] |  +- org.codehaus.plexus:plexus-compiler-manager:jar:1.8.1:compile
[INFO] |  \- org.codehaus.plexus:plexus-compiler-javac:jar:1.8.1:runtime
[INFO] +- org.jdom:jdom:jar:1.1:compile
[INFO] +- cglib:cglib:jar:2.2.2:compile
[INFO] |  \- asm:asm:jar:3.3.1:compile
[INFO] \- xmlunit:xmlunit:jar:1.3:test




--
View this message in context: http://camel.465427.n5.nabble.com/random-splitter-error-tp5731160p5731257.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Mime
View raw message